## edu.stanford.nlp.objectbank
Interface IteratorFromReaderFactory<T>

All Known Subinterfaces:
  DocumentReaderAndWriter, TokenizerFactory<T>

All Known Implementing Classes:
  LineIterator.LineIteratorFactory, PlainTextDocumentReaderAndWriter, PTBTokenizer.PTBTokenizerFactory, TreeTokenizerFactory, WhitespaceTokenizer.WhitespaceTokenizerFactory

    public interface IteratorFromReaderFactory<T>

A IteratorFromReaderFactory is used to convert a java.io.Reader into an Iterator over the Objects represented by the text in the java.io.Reader.

Author:
  Jenny Finkel

Method Summary
`Iterator<T>` `getIterator(Reader r)`

Method Detail

### getIterator

    Iterator<T> getIterator(Reader r)

Stanford NLP Group